Cancel a movie
curl --request POST \
--url https://api.keyframe.art/v1/movies/{movie_id}/cancel \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"prompt": "<string>",
"duration_seconds": 123,
"progress": {
"percent": 50,
"stage": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}Movies
Cancel a movie
Cancel a movie job if it has not completed.
POST
/
movies
/
{movie_id}
/
cancel
Cancel a movie
curl --request POST \
--url https://api.keyframe.art/v1/movies/{movie_id}/cancel \
--header 'Authorization: Bearer <token>'{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"prompt": "<string>",
"duration_seconds": 123,
"progress": {
"percent": 50,
"stage": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Movie ID.
Pattern:
^movie_[A-Za-z0-9]+$Response
Movie canceled or already terminal.
Example:
"movie_abc123"
Available options:
queued, planning, generating, rendering, completed, failed, canceled Available options:
16:9, 9:16, 1:1, 4:5 Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I